Skip to main content
GET
/
{id}
Get a datasource
curl --request GET \
  --url https://api.reelevant.com/v2/datasources/{id} \
  --header 'Authorization: Bearer <token>'
{
  "status": "success",
  "program": "<string>",
  "version": "<string>",
  "datetime": "<string>",
  "message": "<string>",
  "data": {
    "example": {},
    "queriableFields": [
      {
        "name": "<string>",
        "primitive": "string",
        "required": true,
        "unique": true,
        "sortable": true,
        "allowedOperators": [
          "$eq"
        ],
        "enum": [
          "<string>"
        ]
      }
    ]
  },
  "code": 123
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string
required
Pattern: ^[0-9a-fA-F]{24}$

Query Parameters

versions
string
withExample
string

Response

Ok

status
enum<string>
required
Available options:
success
program
string
required
version
string
required
datetime
string
required
message
string
required
data
object
required

Can be any value

code
number